Ergebnis 1 bis 8 von 8

Thema: Decodieren unter Ubuntu 20.04

  1. #1
    Member
    Registriert seit
    Nov 2014
    Ort
    Ostbevern, Deutschland
    Beiträge
    22

    Decodieren unter Ubuntu 20.04

    Unter 18.04 lief die Decodierung mit otrdecoder-gui (otrdecoder-bin-linux-Ubuntu_8.04.2-x86_64-0.4.614). Seit dem Upgrade auf 20.04 kommt eine Fehlermeldung:
    ./otrdecoder-gui
    Traceback (most recent call last):
    File "./otrdecoder-gui", line 4, in <module>
    import gtk
    ImportError: No module named gtk

    Die cli-Version funktioniert. Was ist zu tun?
    Man müsste otrdecoder-gui für Python 3 anpassen. Vielleicht gibt es einen Tipp von Python-Experten?

    Update/Umgehung: Der Easydecoder funktioniert, wenn man die Abhängigkeiten herunterlädt und in das entsprechende Verzeichnis kopiert (siehe https://www.otrforum.com/showthread....t-werden/page2).
    Geändert von hako1 (17.11.2020 um 07:53 Uhr)

  2. #2
    Administrator
    Registriert seit
    Jun 2007
    Beiträge
    40
    Die neue Decoder-GUI für Python 3:
    http://www.onlinetvrecorder.com/down...er-gui.tar.bz2

    Installieren Sie die aktuelle Version von Python 3 mit Tkinter (gehört zu Python 3). Entpacken Sie die Datei otrdecoder-gui.ry, die Sie im Archiv finden, und kopieren Sie diese Datei ins Verzeichnis mit dem Decoder. Starten Sie nun die Datei otrdecoder-gui.ry.

    Diese Datei haben Sie auch per E-Mail erhalten.

  3. #3
    Member
    Registriert seit
    Nov 2014
    Ort
    Ostbevern, Deutschland
    Beiträge
    22
    Das hab ich probiert:
    $ python3
    Python 3.8.5 (default, Jul 28 2020, 12:59:40)
    [GCC 9.3.0] on linux
    Type "help", "copyright", "credits" or "license" for more information.
    >>> import tkinter as tk # for Python 3 version

    Leider führt der Aufruf zum Fehler:
    $ ./otrdecoder-gui.ry
    /usr/bin/env: ‘python3\r’: No such file or directory

    Was muss ich tun?

    update:
    Die Datei otrdecoder-gui.ry hat Windows-Zeilen mit cr-lf.
    Das muss für Linux umgeformt werden auf lf.
    Mit dem Texteditor als Linux-Textdatei speichern.
    Dann geht es.
    Geändert von hako1 (21.11.2020 um 12:47 Uhr)

  4. #4
    Administrator
    Registriert seit
    Jun 2007
    Beiträge
    40
    Wir haben das Format "Zeilenende" an UNIX angepasst und die Datei aktualisiert. Danke.

  5. #5
    Member
    Registriert seit
    Feb 2014
    Beiträge
    5

    Genau dieselbe Fehlermeldung

    Ich kriege genau dieselbe Fehlermeldung mit python version 3.8.6 ... weiß ich nicht was ich tun kann.

    Ich habe auch versucht, Easydecoder für Ubuntu und die Konsolenversion zu installieren. Aber wie kann ich die nach der Installation ausführen? Eine Hilfeseite oder ähnliches zur Linux-Installation wäre für mich sehr hilfreich!


    Danke,
    Stefan

  6. #6
    Member
    Registriert seit
    Sep 2008
    Beiträge
    31
    Zitat Zitat von Papageno Beitrag anzeigen
    ...Eine Hilfeseite oder ähnliches zur Linux-Installation wäre für mich sehr hilfreich!
    ...
    Dem schließe ich mich an, nachdem ich mir Mint 20.1 installiert habe. Grundsätzlich bin ich Linux-Laie und habe von Befehlszeilen so gar keine Ahnung :-|

  7. #7
    Member
    Registriert seit
    Mar 2008
    Beiträge
    665
    Zitat Zitat von Papageno Beitrag anzeigen
    Ich kriege genau dieselbe Fehlermeldung mit python version 3.8.6 ... weiß ich nicht was ich tun kann.

    Ich habe auch versucht, Easydecoder für Ubuntu und die Konsolenversion zu installieren. Aber wie kann ich die nach der Installation ausführen? Eine Hilfeseite oder ähnliches zur Linux-Installation wäre für mich sehr hilfreich!


    Danke,
    Stefan
    Mal "qotr" im Terminal eingeben. Falls das nicht funktioniert, gibt es hier noch einen Beitrag dazu:
    https://forum.ubuntuusers.de/topic/e...vrecorder-com/
    Geändert von Destruction (17.01.2021 um 19:01 Uhr)

  8. #8
    Member
    Registriert seit
    Feb 2014
    Beiträge
    5
    Zitat Zitat von Destruction Beitrag anzeigen
    Mal "qotr" im Terminal eingeben. Falls das nicht funktioniert, gibt es hier noch einen Beitrag dazu:
    https://forum.ubuntuusers.de/topic/e...vrecorder-com/
    Danke, die Lösung aus dem ubuntu-forum bracht es!

Berechtigungen

  • Neue Themen erstellen: Nein
  • Themen beantworten: Nein
  • Anhänge hochladen: Nein
  • Beiträge bearbeiten: Nein
  •